このスレッドは未解決です(解決したらこちらで解決済にしてください)
<<戻る

freshclam-sleepよりエラーのメールが届く このメッセージに返信する
日時: 2021/07/16(Fri) 01:46
名前: masamira
URL:
いつもお世話になっております。

先日より、freshclam-sleepから3時間おきにエラーのメールが届くようになりました。
内容は、以下の通りです。

ERROR: cdiff_apply: lseek(desc, -350, SEEK_END) failed
ERROR: downloadPatch: Can't apply patch

この2行が複数記載されている場合もあります。
手動でfreshclamを行った結果、installしているclamavのバージョンが古いとのこと。

ClamAV update process started at Fri Jul 16 01:14:43 2021
WARNING: Your ClamAV installation is OUTDATED!
WARNING: Local version: 0.103.2 Recommended version: 0.103.3
DON'T PANIC! Read https://www.clamav.net/documents/upgrading-clamav
daily.cvd database is up-to-date (version: 26233, sigs: 1961297, f-level: 90, builder: raynman)
main.cvd database is up-to-date (version: 61, sigs: 6607162, f-level: 90, builder: sigmgr)
bytecode.cvd database is up-to-date (version: 333, sigs: 92, f-level: 63, builder: awillia2)

07/15に定義ファイルは更新できましたが、本体のupdateは現状yumではできません。
この場合は、epelレポジトリの中にあるclamav本体のパッケージがupdateされるまで待つべきでしょうか?
それとも、sourceをdownloadして自分でinstallした方が良いのでしょうか?

私の見解が間違っているのなら、良きアドバイスをよろしくお願いいたします。
記事編集 編集
Re: freshclam-sleepよりエラーのメールが届く このメッセージに返信する
日時: 2021/07/16(Fri) 20:43
名前: superweibu
URL:
>私の見解が間違っているのなら、良きアドバイスをよろしくお願いいたします。

epelのリポジトリが有効になっていないのでは?
すでに最新バージョンがリリースされています。
https://centos.pkgs.org/7/epel-x86_64/clamd-0.103.3-1.el7.x86_64.rpm.html
記事編集 編集
件名※必須
名前※必須
URL
任意のパスワード (投稿後のコメント修正・削除時に使用)
画像認証※必須 投稿キー(画像で表示されている数字を入力)
コメント※必須

※質問を投稿後に自己解決された場合は、原因と行った対処を具体的に書き込み下さるよう、よろしくお願いします。

- WEB PATIO -